#### Linux From Scratch - Version 7.9

### Chapter 6. Installing Basic System Software

- Prev

  Bash-4.3.30

- Next

  Libtool-2.4.6

- Up
- Home

# 6.36. Bc-1.06.95

The Bc package contains an arbitrary precision numeric processing language.

Approximate build time: 0.1 SBU
Required disk space: 3.6 MB

## 6.36.1. Installation of Bc

First, fix some minor memory leaks in the code:

    patch -Np1 -i ../bc-1.06.95-memory_leak-1.patch

Prepare Bc for compilation:

    ./configure --prefix=/usr           \
                --with-readline         \
                --mandir=/usr/share/man \
                --infodir=/usr/share/info

The meaning of the configure options:

`--with-readline`

  This option tells Bc to use the `readline` library that is already installed on the system rather than using its own readline version.

Compile the package:

    make

To test bc, run the commands below. There is quite a bit of output, so you may want to redirect it to a file. There are a very small percentage of tests (10 of 12,144) that will indicate a round off error at the last digit.

    echo "quit" | ./bc/bc -l Test/checklib.b

Install the package:

    make install

## 6.36.2. Contents of Bc

Installed programs: bc and dc

### Short Descriptions

bc | is a command line calculator
dc | is a reverse-polish command line calculator

- Prev

  Bash-4.3.30

- Next

  Libtool-2.4.6

- Up
- Home